## kmailtransport 25.12.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.6.1")
project(MailTransport VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "6.18.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(ECMSetupVersion)
include(KDEGitCommitHooks)
include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    *.cpp
    *.h
    *.c
)

set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddQch)

set(QT_REQUIRED_VERSION "6.8.0")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

add_definitions(-DTRANSLATION_DOMAIN=\"libmailtransport6\")

set(KMAILTRANSPORT_LIB_VERSION ${PIM_VERSION})

set(KSMTP_LIB_VERSION "6.6.1")
set(KGAPI_LIB_VERSION "6.6.1")
set(QT6KEYCHAIN_LIB_VERSION "0.14.2")

########### Find packages ###########
find_package(Qt6DBus ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(KF6ConfigWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6SMTP ${KSMTP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6GAPI ${KGAPI_LIB_VERSION} CONFIG REQUIRED)

find_package(Qt6Keychain ${QT6KEYCHAIN_LIB_VERSION} CONFIG)
set_package_properties(
    Qt6Keychain
    PROPERTIES
        DESCRIPTION
            "Provides support for secure credentials storage"
        URL
            "https://github.com/frankosterfeld/qtkeychain"
        TYPE
            REQUIRED
)

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)

if(BUILD_TESTING)
    find_package(Qt6Test CONFIG REQUIRED)
    add_definitions(-DBUILD_TESTING)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

########### Targets ###########
add_subdirectory(src)

ecm_qt_install_logging_categories(
        EXPORT MAILTRANSPORT
        FILE kmailtransport.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()

ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

=== debian/changelog ===
kmailtransport (25.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 21:38:08 +0100

kmailtransport (25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:48:17 +0100

kmailtransport (25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 17:59:38 +0100

=== debian/control ===
Source: kmailtransport
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6configwidgets-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkgapi-dev (>= 25.12.1~),
               libksmtp-dev (>= 25.12.1~),
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qtkeychain-qt6-dev (>= 0.14.2~),
               xauth,
               xvfb,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/pim/kmailtransport
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmailtransport
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmailtransport.git
Rules-Requires-Root: no

Package: kmailtransport-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: mail transport akonadi library - plugins
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package contains the SMTP plugin.

Package: libkmailtransport-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf5mailtransport5 (<< 20.04.1-2~),
Replaces: libkf5mailtransport-data,
          libkf5mailtransport5 (<< 20.04.1-2~),
Description: mail transport service library - data files
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.
 .
 This package contains data files.

Package: libkmailtransport-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6config-dev (>= 6.3.0~),
         libkpim6mailtransport6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Description: mail transport service library - development files
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package contains the development files.

Package: libkpim6mailtransport6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkmailtransport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: mail transport service library
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.

## kmailtransport 25.12.1+p24.04+vstable+git20260118.0204

=== debian/changelog ===
kmailtransport (25.12.1+p24.04+vstable+git20260118.0204-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 18 Jan 2026 02:04:40 +0000

kmailtransport (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:23:38 +1000

## kmailtransport 25.12.1+p24.04+vstable+git20260205.0541

=== debian/changelog ===
kmailtransport (25.12.1+p24.04+vstable+git20260205.0541-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 05:41:27 +0000

## kmailtransport 25.12.1+p24.04+vunstable+git20260205.0732

=== debian/changelog ===
kmailtransport (25.12.1+p24.04+vunstable+git20260205.0732-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:32:41 +0000

## kmailtransport 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.1")
+set(PIM_VERSION "6.6.2")
 project(MailTransport VERSION ${PIM_VERSION})
 
 # ECM setup
@@ -60,8 +60,8 @@
 
 set(KMAILTRANSPORT_LIB_VERSION ${PIM_VERSION})
 
-set(KSMTP_LIB_VERSION "6.6.1")
-set(KGAPI_LIB_VERSION "6.6.1")
+set(KSMTP_LIB_VERSION "6.6.2")
+set(KGAPI_LIB_VERSION "6.6.2")
 set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
 
 ########### Find packages ###########

=== debian/changelog ===
kmailtransport (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:41:14 +0000

kmailtransport (25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:15:23 +0000

kmailtransport (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:07:50 +0000

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,34 @@
 Source: kmailtransport
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sandro Knauß <hefee@debian.org>,
-           Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libkf6configwidgets-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6kio-dev (>= 6.18.0~),
-               libkgapi-dev (>= 25.12.1~),
-               libksmtp-dev (>= 25.12.1~),
+               libkf6configwidgets-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6kio-dev (>= 6.6.0~),
+               libkgapi-dev (>= 25.12.2~),
+               libksmtp-dev (>= 25.12.2~),
                pkgconf,
-               qt6-base-dev (>= 6.8.0~),
+               qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),
                xauth,
                xvfb,
-Standards-Version: 4.7.3
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/kmailtransport
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmailtransport
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmailtransport.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
 Rules-Requires-Root: no
 
 Package: kmailtransport-plugins
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: mail transport akonadi library - plugins
  Mailtransport is a library that provides the following functionality:
  .
@@ -43,8 +42,11 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-Breaks: libkf5mailtransport5 (<< 20.04.1-2~),
-Replaces: libkf5mailtransport-data,
+Breaks: libkpim5mailtransport-data,
+        libkf5mailtransport-data,
+        libkf5mailtransport5 (<< 20.04.1-2~),
+Replaces: libkpim5mailtransport-data,
+          libkf5mailtransport-data,
           libkf5mailtransport5 (<< 20.04.1-2~),
 Description: mail transport service library - data files
  Mailtransport is a library that provides the following functionality:
@@ -64,7 +66,7 @@
 Multi-Arch: same
 Depends: libkf6config-dev (>= 6.3.0~),
          libkpim6mailtransport6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Description: mail transport service library - development files
  Mailtransport is a library that provides the following functionality:

## kmailtransport 25.12.2+p24.04+vunstable+git20260207.0107

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,12 @@
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.2")
+cmake_minimum_required(VERSION 3.27)
+set(PIM_VERSION "6.6.40")
 project(MailTransport VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.18.0")
+set(KF_MIN_VERSION "6.21.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
-set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -30,13 +29,25 @@
 if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
     if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
         file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
-        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
+        string(
+            FIND "${FILE_CONTENTS}"
+            "File generated by pre-commit"
+            INDEX
+        )
         if(${INDEX} GREATER_EQUAL 0)
             set(PRE_COMMIT_INSTALLED TRUE)
         endif()
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
+    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
+    if(PRE_COMMIT_EXECUTABLE)
+        message(
+            WARNING
+            "This module has pre-commit support. pre-commit binary was found. Please execute pre-commit install -f"
+        )
+    endif()
+
     include(KDEGitCommitHooks)
     include(KDEClangFormat)
     kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
@@ -45,24 +56,17 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
-include(ECMAddQch)
+include(ECMGenerateQDoc)
 
-set(QT_REQUIRED_VERSION "6.8.0")
-
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(
-    QCH
-    ${BUILD_QCH}
-    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
-)
+set(QT_REQUIRED_VERSION "6.9.0")
 
 add_definitions(-DTRANSLATION_DOMAIN=\"libmailtransport6\")
 
 set(KMAILTRANSPORT_LIB_VERSION ${PIM_VERSION})
 
-set(KSMTP_LIB_VERSION "6.6.2")
-set(KGAPI_LIB_VERSION "6.6.2")
-set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
+set(KSMTP_LIB_VERSION "6.6.40")
+set(KGAPI_LIB_VERSION "6.6.40")
+set(QT6KEYCHAIN_LIB_VERSION "0.15.0")
 
 ########### Find packages ###########
 find_package(Qt6DBus ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
@@ -86,7 +90,12 @@
 )
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.23.0)
 
 if(BUILD_TESTING)
     find_package(Qt6Test CONFIG REQUIRED)
@@ -98,6 +107,17 @@
 set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
 if(USE_UNITY_CMAKE_SUPPORT)
     set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
+endif()
+
+option(WARNINGS_AS_ERRORS "Warnings are errors -Werror" OFF)
+if(WARNINGS_AS_ERRORS)
+    if(MSVC)
+        add_compile_options(/WX)
+        add_compile_options(/wd4996)
+    else()
+        add_compile_options(-Werror)
+        add_compile_options(-Wno-error=deprecated-declarations)
+    endif()
 endif()
 
 ########### Targets ###########

=== src/CMakeLists.txt ===
add_library(KPim6MailTransport)
add_library(KPim6::MailTransport ALIAS KPim6MailTransport)

ecm_setup_version(PROJECT VARIABLE_PREFIX MAILTRANSPORT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mailtransport_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailTransportConfigVersion.cmake"
    SOVERSION 6
)

target_sources(
    KPim6MailTransport
    PRIVATE
        transport.cpp
        transportmanager.cpp
        transporttype.cpp
        transportjob.cpp
        precommandjob.cpp
        socket.cpp
        servertest.cpp
        outlookoauthtokenrequester.cpp
)

target_sources(
    KPim6MailTransport
    PRIVATE
        widgets/transportconfigwidget.cpp
        widgets/transportcombobox.cpp
        widgets/addtransportdialogng.cpp
        widgets/addtransportdialogng.h
        widgets/transportcombobox.h
        widgets/transportconfigwidget_p.h
        widgets/transportconfigwidget.h
        widgets/transportmanagementwidgetng.cpp
        widgets/transportmanagementwidgetng.h
        widgets/transporttreeview.h
        widgets/transporttreeview.cpp
        widgets/transporttreedelegate.h
        widgets/transporttreedelegate.cpp
        widgets/transportactivitiesabstractplugin.h
        widgets/transportactivitiesabstractplugin.cpp
        transportactivitiesabstract.h
        transportactivitiesabstract.cpp
        transportmodel.h
        transportmodel.cpp
        transportsortproxymodel.h
        transportsortproxymodel.cpp
)

target_sources(
    KPim6MailTransport
    PRIVATE
        plugins/transportabstractplugin.cpp
        plugins/transportpluginmanager.cpp
)
target_sources(
    KPim6MailTransport
    PRIVATE
        transporttype_p.h
        mailtransport_defs.h
        socket.h
        outlookoauthtokenrequester.h
        precommandjob.h
        transport_p.h
        transport.h
        kmailtransport_private_export.h
        plugins/transportpluginmanager.h
        plugins/transportabstractplugin.h
        transportjob.h
        transportmanager.h
        transporttype.h
        servertest.h
)

ecm_qt_declare_logging_category(KPim6MailTransport HEADER mailtransport_debug.h IDENTIFIER MAILTRANSPORT_LOG CATEGORY_NAME org.kde.pim.mailtransport
        DESCRIPTION "kmailtransport (kmailtransport)"
        OLD_CATEGORY_NAMES log_mailtransport
        EXPORT MAILTRANSPORT
)

ki18n_wrap_ui(KPim6MailTransport
    ui/addtransportdialog.ui
    ui/transportmanagementwidgetng.ui
)

kconfig_add_kcfg_files(KPim6MailTransport GENERATE_MOC transportbase.kcfgc)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KPim6MailTransport
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()

generate_export_header(KPim6MailTransport BASE_NAME mailtransport)

target_include_directories(
    KPim6MailTransport
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/MailTransport>"
)
target_include_directories(
    KPim6MailTransport
    PUBLIC
        "$<BUILD_INTERFACE:${MailTransport_SOURCE_DIR}/src;${MailTransport_BINARY_DIR}/src>"
)

target_link_libraries(
    KPim6MailTransport
    PUBLIC
        KF6::ConfigGui
    PRIVATE
        KF6::I18n
        KF6::WidgetsAddons
        KF6::CoreAddons
        KF6::ConfigWidgets
        Qt::DBus
        Qt::Network
)

if(TARGET KF6::Wallet)
    target_link_libraries(KPim6MailTransport PRIVATE KF6::Wallet)
endif()

target_link_libraries(KPim6MailTransport PRIVATE qt6keychain)

set_target_properties(
    KPim6MailTransport
    PROPERTIES
        VERSION
            ${MAILTRANSPORT_VERSION}
        SOVERSION
            ${MAILTRANSPORT_SOVERSION}
        EXPORT_NAME
            MailTransport
)

install(TARGETS KPim6MailTransport EXPORT KPim6MailTransportTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES mailtransport.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ecm_generate_headers(MailTransport_CamelCase_HEADERS
    HEADER_NAMES
    PrecommandJob
    ServerTest
    Transport
    TransportJob
    TransportManager
    TransportType
    TransportModel
    OutlookOAuthTokenRequester
    TransportActivitiesAbstract
    PREFIX MailTransport
    REQUIRED_HEADERS MailTransport_HEADERS
)

ecm_generate_headers(MailTransport_widgets_CamelCase_HEADERS
    HEADER_NAMES
    TransportComboBox
    TransportConfigWidget
    TransportManagementWidgetNg
    TransportActivitiesAbstractPlugin
    PREFIX MailTransport
    REQUIRED_HEADERS MailTransport_widgets_HEADERS
    RELATIVE widgets
)

ecm_generate_headers(MailTransport_plugins_CamelCase_HEADERS
    HEADER_NAMES
    TransportAbstractPlugin
    PREFIX MailTransport
    REQUIRED_HEADERS MailTransport_plugins_HEADERS
    RELATIVE plugins
)

install(
    FILES
        ${MailTransport_SOURCE_DIR}/src/widgets/transportconfigwidget_p.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MailTransport/mailtransport/private
    COMPONENT Devel
)

install(
    FILES
        ${MailTransport_CamelCase_HEADERS}
        ${MailTransport_widgets_CamelCase_HEADERS}
        ${MailTransport_plugins_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MailTransport/MailTransport/
    COMPONENT Devel
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/mailtransport_export.h
        ${MailTransport_HEADERS}
        ${MailTransport_widgets_HEADERS}
        ${MailTransport_plugins_HEADERS}
        ${CMAKE_CURRENT_BINARY_DIR}/transportbase.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MailTransport/mailtransport
    COMPONENT Devel
)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6MailTransport")

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/mailtransport_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MailTransport
    COMPONENT Devel
)

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
    add_subdirectory(plugins/tests)
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimMailTransportConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailTransportConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailTransportConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailTransportConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6MailTransportTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6MailTransportTargets.cmake
    NAMESPACE KPim6::
)

ecm_generate_qdoc(KPim6MailTransport kmailtransport.qdocconf)

add_subdirectory(plugins/smtp)
